// GroupComboDlg.cpp : implementation file
//

#include "stdafx.h"
#include "GroupCombo.h"
#include "GroupComboDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGroupComboDlg dialog

CGroupComboDlg::CGroupComboDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGroupComboDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGroupComboDlg)
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CGroupComboDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGroupComboDlg)
	DDX_Control(pDX, IDC_COMBO5, m_box5);
	DDX_Control(pDX, IDC_COMBO4, m_box4);
	DDX_Control(pDX, IDC_COMBO3, m_box3);
	DDX_Control(pDX, IDC_COMBO2, m_box2);
	DDX_Control(pDX, IDC_COMBO1, m_box1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CGroupComboDlg, CDialog)
	//{{AFX_MSG_MAP(CGroupComboDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGroupComboDlg message handlers

BOOL CGroupComboDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

    // Add the Posible selections first.
	comboGroup.AddSelectionString(_T("Choice 1"));
    comboGroup.AddSelectionString(_T("Choice 2"));
    comboGroup.AddSelectionString(_T("Choice 3"));
    comboGroup.AddSelectionString(_T("Choice 4"));
    comboGroup.AddSelectionString(_T("Choice 5"));
    comboGroup.AddSelectionString(_T("Choice 6"));

    // Put the combo boxes that will use the
    // into the group.
    comboGroup.AddComboBox(&m_box1);
    comboGroup.AddComboBox(&m_box2);
    comboGroup.AddComboBox(&m_box3);
    comboGroup.AddComboBox(&m_box4);
    comboGroup.AddComboBox(&m_box5);

    // If there are more selections than 
    // there are combo boxes, then make the remaining
    // selections available to the already entered combo
    // boxes.
    comboGroup.AddRemainingStrings();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CGroupComboDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CGroupComboDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CGroupComboDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CGroupComboDlg::OnOK() 
{
    if(!comboGroup.AllValuesSelected())
    {
        AfxMessageBox("Not all selections have been made");
        return;
    }

    char  buffer[12];
    CString s = "";
    for(int i=1; i<6; i++)
    {
        sprintf(buffer, "Var %d = %d.\n", i, comboGroup.GetCurIndex(i));
        s += buffer;
    }
    AfxMessageBox(s);
	
	CDialog::OnOK();
}